← OBPv7.0.0 Create User Customer Link POST /obp/v7.0.0/banks/BANK_ID/user_customer_links OBPv4.0.0-createUserCustomerLinks Roles: CanCreateUserCustomerLinkAtAnyBank,CanCreateUserCustomerLink(per bank) CustomerUser Link a User to a Customer Who may call it. A User with the Role CanCreateUserCustomerLink at BANK_ID, or an application acting as itself whose Consumer holds it as a Scope. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk JSON request body fields (2) customer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhuser_id 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1 JSON response body fields (5) customer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhdate_inserted is_active falseuser_customer_link_id user_id 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1 Example request body { "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh" } Example success response { "user_customer_link_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "date_inserted": "1100-01-01T00:00:00Z", "is_active": true } Possible errors (10) OBP-20001: User not logged in. Authentication is required!OBP-30111: Invalid Bank Id. The BANK_ID should only contain 0-9/a-z/A-Z/'-'/'.'/'_', the length should be smaller than 255.OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-10001: Incorrect json format.OBP-30107: Invalid User Id.OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.OBP-20006: User is missing one or more roles: OBP-30007: The User is already linked to a Customer at the bank specified by BANK_IDOBP-30025: Could not create user_customer_links OBP-50000: Unknown Error.